#include <iostream>
#include <cstdio>

using namespace std;

int main()
{
    int n;
    scanf_s("%d", &n);
    string natpis="";
    scanf_s("%s", natpis);
    if (n <= 26) {
        printf("0");
    }
    else {
        printf("1");
    }
}